> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get worlds



## OpenAPI

````yaml https://worlds-api.wazoo.dev/openapi.json get /worlds/{id}
openapi: 3.0.0
info:
  title: Worlds API
  version: 0.1.0
  description: >-
    Data-plane API for Wazoo Worlds — search, SPARQL, import, export, and World
    lifecycle.
servers:
  - url: https://worlds-api.wazoo.dev
    description: Worlds API
security:
  - bearerWorldsToken: []
paths:
  /worlds/{id}:
    get:
      tags:
        - Worlds
      operationId: getWorld
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: false
          name: namespace
          in: query
      responses:
        '200':
          description: World
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorldResource'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerWorldsToken: []
components:
  schemas:
    WorldResource:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
        namespace:
          type: string
        worldId:
          type: string
        displayName:
          type: string
        state:
          type: string
        storage:
          type: string
          enum:
            - libsql-per-world
            - legacy-shared-libsql
        createTime:
          type: string
        updateTime:
          type: string
        deleteTime:
          type: string
        expireTime:
          type: string
      required:
        - name
        - uid
        - namespace
        - worldId
        - displayName
        - state
        - storage
        - createTime
        - updateTime
  securitySchemes:
    bearerWorldsToken:
      type: http
      scheme: bearer
      bearerFormat: wzw
      description: Worlds API data-plane token.

````